<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: SEO Friendly URLs for PHP-Fusion
| Filename: infusion.php
| Version: 1.00
| Author: Ankur Thakur, Nick Jones
| Developers: Ankur Thakur, Nick Jones
| Web : http://ankurthakur.co.cc/
|       http://php-fusion.in/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."seo_friendly_urls_panel/infusion_db.php";

if (file_exists(INFUSIONS."seo_friendly_urls_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."seo_friendly_urls_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."seo_friendly_urls_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['inf_title'];
$inf_description = $locale['inf_description'];
$inf_version = "1.00";
$inf_developer = "Ankur Thakur";
$inf_email = "thakurboyz2007@gmail.com";
$inf_weburl = "http://ankurthakur.in/";

$inf_folder = "seo_friendly_urls_panel";

// Infusion Settings in Infusion Settings Table
$inf_insertdbrow[1] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('seo_urls_enabled', '1', '".$inf_folder."')";
$inf_insertdbrow[2] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('seo_urls_type', 'html', '".$inf_folder."')";

$inf_deldbrow[1] = DB_SETTINGS_INF." WHERE settings_inf='".$inf_folder."'";

$inf_adminpanel[1] = array(
	"title" => $locale['inf_title'],
	"image" => "seofusion.png",
	"panel" => "seo_friendly_urls_panel_admin.php",
	"rights" => "JSN"
);

?>